5	REM THIS PROGRAM INVERTS AN N-BY-N HILBERT MATRIX
10	DIM A(20,20),B(20,20)
20	READ N
30	MAT A=CON(N,N)
50	FOR I=1 TO N
60	FOR J=1 TO N
70	LET A(I,J)=1/(I+J-1)
80	NEXT J
90	NEXT I
100	MAT B=INV(A)
115 	PRINT "INV(A)="
120	MAT PRINT B
130	PRINT "DETERMINANT OF A=" DET
190	DATA 4
199	END


@

Note: on the LBMAA-A-D the following is reported about this example:

"A 20-by-20 matrix is inverted in about 0.5 seconds. However, the reader is
warned that beyond n = 7, the Hilbert matrix cannot be inverted because of
severe round-off errors."

I must notice here that decb, in my emac, can invert a 20-by-20 matrix in 0.28
seconds (for an interpretated language this is not bad, half of the time of the 
compiled DEC-20 program), and that the limit for avoiding round-off errors can 
be extended to at least 10, maybe more, due to more modern ways of numbers 
storages and programming algorithms.

-- Antonio
